#include "python_headers.h"

#include <cassert>
#include <iostream>
#include <string>
#include <list>

#include "base.h"
#include "other.h"


using namespace boost;
using namespace boost::python;

class BaseWrapper : public Base, public wrapper<Base>
{
    public:
        typedef class_<BaseWrapper, noncopyable> class_type;
};

class OtherWrapper : public Other, public wrapper<Other>
{
    public:
        typedef class_<OtherWrapper, bases<Base>, noncopyable > class_type;
};

BOOST_PYTHON_MODULE(pymix)
{
    BaseWrapper::class_type foo("Base");
    foo.def("setChild", &Base::setChild);
    foo.def("child", &Base::child, return_internal_reference<>());

    OtherWrapper::class_type other("Other");
}

